{{/*
имя
*/}}
{{- define "jasper.fullname" -}}
{{- printf "%s-%s" .Release.Name .Chart.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
имя сервиса
*/}}
{{- define "jasper.service" -}}
{{- printf "%s" .Chart.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "jasper.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "jasper.labels" -}}
helm.sh/chart: {{ include "jasper.chart" . }}
{{ include "jasper.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "jasper.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app: {{ include "jasper.fullname" . }}
run: jasper
{{- end }}

{{/*
Имя configMap для cfg-jasper
*/}}
{{- define "jasper.jasper-config" -}}
{{- printf "%s-%s-%s" "jasper-env" .Release.Name "config" | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Имя configMap для server.xml
*/}}
{{- define "jasper.jasper-server" -}}
{{- printf "%s-%s-%s" "jasper-server" .Release.Name "config" | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}